<Manage::List
  ...attributes
  @isEditable={{true}}
  @actions={{this.fileActions}}
  @viewMode={{@viewMode}}
  @header={{concat
    (t 'name')
    ','
    (t 'size')
    ','
    (t 'items')
    ','
    (t 'progress')
    ','
    (t 'status')
  }}
  @columns={{this.files}}
  @onAction={{this.fileAction}}
  @onDelete={{this.delete}}
  as |section|
>
  {{#if section.isHeader}}
    <strong>
      {{#if section.item.isRunning}}
        <FaIcon @icon='spinner' @spin={{true}} />
      {{/if}}

      {{section.item.name}}
    </strong>
  {{/if}}

  {{#if section.isOtherOptions}}
    <a
      href='#'
      class='dropdown-item item-view-log'
      {{on 'click' (fn this.showLog section.item)}}
    >
      <FaIcon @icon='terminal' />
      {{capitalize (t 'view log')}}
    </a>

    <a
      href={{section.item.file}}
      target='_blank'
      rel='noopener noreferrer'
      class='dropdown-item item-download'
    >
      <FaIcon @icon='file-download' />
      {{capitalize (t 'download')}}
    </a>

    <a
      href='#'
      class='dropdown-item item-import'
      {{on 'click' (fn this.import section.item.id)}}
    >
      <FaIcon @icon='file-import' />
      {{capitalize (t 'import')}}
    </a>
  {{/if}}

  {{#if section.isBody}}
    <p class='text-muted'>
      {{nice-size section.item.size}}
    </p>
  {{/if}}

  {{#if section.isRow}}
    <td class='name align-middle'>
      <button
        class='btn btn-link p-0 m-0'
        type='button'
        {{on 'click' (fn this.import section.item.id)}}
      >
        {{section.item.name}}
      </button>
    </td>

    <td class='size align-middle'>{{nice-size section.item.size}}</td>

    <td class='items-total align-middle'>
      {{#if section.item.meta.processed}}
        {{section.item.meta.processed}}
        /
      {{/if}}

      {{#if section.item.meta.total}}
        {{section.item.meta.total}}
      {{else}}
        -
      {{/if}}
    </td>

    <td class='items-imported align-middle'>
      <div class='input-group'>
        <div class='flex-fill'>
          {{#if (eq section.item.meta.status 'scheduled')}}
            <Progress
              @max={{1}}
              @info={{1}}
              @animated={{true}}
              @striped={{true}}
              class='h-100'
            />
          {{else if (eq section.item.meta.status 'preparing')}}
            <Progress
              @max={{1}}
              @primary={{1}}
              @animated={{true}}
              @striped={{true}}
              class='h-100'
            />
          {{else}}
            <Progress
              class='h-100'
              @max={{section.item.meta.total}}
              @success={{section.item.meta.processed}}
              @danger={{section.item.meta.errors}}
              @animated={{eq section.item.meta.status 'running'}}
              @striped={{eq section.item.meta.status 'running'}}
            />
          {{/if}}
        </div>

        {{#if
          (or
            (eq section.item.meta.status 'scheduled')
            (eq section.item.meta.status 'preparing')
            (eq section.item.meta.status 'running')
          )
        }}
          <Input::Button
            class='btn btn-outline-secondary btn-cancel-import'
            @action={{fn @onCancelImport section.item.id}}
          >
            <FaIcon @icon='stop' />
          </Input::Button>
        {{else}}
          <Input::Button
            class='btn btn-outline-secondary btn-start-import'
            @action={{fn @onImport section.item.id}}
          >
            <FaIcon @icon='play' />
          </Input::Button>
        {{/if}}
      </div>
    </td>

    <td class='items-status align-middle'>

      {{#if section.item.meta.status}}
        {{t section.item.meta.status}}
      {{else}}
        -
      {{/if}}
    </td>
  {{/if}}
</Manage::List>
<span class='d-none' {{did-insert this.setupTimer}}></span>